package com.android.settings.morelocale.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.Dialog;
import android.content.ContentValues;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnDismissListener;
import android.content.res.AssetManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnCreateContextMenuListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.Button;
import android.widget.CursorAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.android.settings.morelocale.lang.MoreLocale;
import com.android.settings.morelocale.lang.MoreLocale.Loc;
import com.android.settings.morelocale.util.ApplicationUtils;
import com.android.settings.morelocale.util.DBHelper;
import com.stericson.RootTools.Command;
import com.stericson.RootTools.CommandCapture;
import com.stericson.RootTools.RootTools;
import com.stericson.RootTools.Shell;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.concurrent.TimeoutException;

public class MainActivity
  extends Activity
  implements AdapterView.OnItemClickListener, MenuItem.OnMenuItemClickListener, AdapterView.OnItemLongClickListener, View.OnClickListener
{
  public static final int COLUMN_INDEX_LOCALES_COUNTRY = 3;
  public static final int COLUMN_INDEX_LOCALES_ID = 0;
  public static final int COLUMN_INDEX_LOCALES_LABEL = 1;
  public static final int COLUMN_INDEX_LOCALES_LANGUAGE = 2;
  public static final int COLUMN_INDEX_LOCALES_PRESETFLAG = 5;
  public static final int COLUMN_INDEX_LOCALES_VARIANT = 4;
  private static final boolean DEBUG_FLG = false;
  private static final int HANDLE_INIT_FINISH = 4342578;
  private static final int HANDLE_UPDATE_LOCALE = 4342580;
  private static final int HANDLE_UPDATE_LOCALE_HEADER = 4342585;
  private static final String KEY_LOCALE_DATA = "loc";
  private static final String LOG_TAG = "MoreLocale";
  private static final int PRESET_FLG_FALSE = 0;
  private static final int PRESET_FLG_TRUE = 1;
  public static final String[] PROJECTION = { "_id", "label", "language", "country", "variant", "preset_flg" };
  private static final int STATUS_NOT_SET = 0;
  private static final int STATUS_PROCESSING = 1;
  private static final int TIMEOUT = 10000;
  private CursorAdapter mAdapter = null;
  private AlertDialog mConfirmDeleteDialog = null;
  private EditText mCountry = null;
  private Cursor mCursor = null;
  private View.OnCreateContextMenuListener mCustomLocaleContextMenuListener = new View.OnCreateContextMenuListener()
  {
    public void onCreateContextMenu(ContextMenu paramAnonymousContextMenu, View paramAnonymousView, ContextMenu.ContextMenuInfo paramAnonymousContextMenuInfo)
    {
      MainActivity.this.getMenuInflater();
      switch (paramAnonymousView.getId())
      {
      case 2131296266: 
      default: 
        return;
      case 2131296265: 
        paramAnonymousContextMenu.setHeaderTitle(2131165185);
        MainActivity.this.setMenuItems(2131034114, 2131034115, paramAnonymousContextMenu, MainActivity.this.mLanguage);
        return;
      }
      paramAnonymousContextMenu.setHeaderTitle(2131165184);
      MainActivity.this.setMenuItems(2131034112, 2131034113, paramAnonymousContextMenu, MainActivity.this.mCountry);
    }
  };
  private Dialog mCustomLocaleDialog = null;
  private View.OnClickListener mCustomLocaleDialogOnClickListener = new View.OnClickListener()
  {
    public void onClick(View paramAnonymousView)
    {
      switch (paramAnonymousView.getId())
      {
      case 2131296266: 
      default: 
        return;
      case 2131296265: 
        paramAnonymousView.showContextMenu();
        return;
      }
      paramAnonymousView.showContextMenu();
    }
  };
  private SQLiteDatabase mDb = null;
  private Handler mHandler = new Handler()
  {
    public void handleMessage(Message paramAnonymousMessage)
    {
      switch (paramAnonymousMessage.what)
      {
      default: 
        return;
      case 4342578: 
        MainActivity.this.reloadDb();
        return;
      case 4342580: 
        MoreLocale.Loc localLoc2 = (MoreLocale.Loc)paramAnonymousMessage.getData().getSerializable("loc");
        MoreLocale.setLocale(localLoc2);
        MainActivity.this.setLocaleHeader(localLoc2);
        MainActivity.this.reloadDb();
        return;
      }
      MoreLocale.Loc localLoc1 = (MoreLocale.Loc)paramAnonymousMessage.getData().getSerializable("loc");
      MainActivity.this.setLocaleHeader(localLoc1);
    }
  };
  private Runnable mInit = new Runnable()
  {
    public void run()
    {
      MainActivity.access$702(MainActivity.this, 1);
      List localList = MainActivity.this.getPresetLocales();
      if (MainActivity.this.mDb.isOpen())
      {
        SQLiteDatabase localSQLiteDatabase = MainActivity.this.mDb;
        String[] arrayOfString = new String[1];
        arrayOfString[0] = String.valueOf(1);
        localSQLiteDatabase.delete("locales", "preset_flg = ?", arrayOfString);
        int i = 0;
        Iterator localIterator = localList.iterator();
        while (localIterator.hasNext())
        {
          MoreLocale.Loc localLoc = (MoreLocale.Loc)localIterator.next();
          i += 5;
          MainActivity.this.insertLocale(localLoc, i, 1);
        }
      }
      MainActivity.access$702(MainActivity.this, 0);
      MainActivity.this.mHandler.sendEmptyMessage(4342578);
    }
  };
  private EditText mLabel = null;
  private EditText mLanguage = null;
  private ListView mLvLocales = null;
  private long mSelectedRowId = 0L;
  private volatile int mStatus = 0;
  private TextView mTvCustomLocale = null;
  private EditText mVariant = null;
  
  private void changeLocale(MoreLocale.Loc paramLoc)
  {
    Bundle localBundle = new Bundle();
    localBundle.putSerializable("loc", paramLoc);
    final Message localMessage = this.mHandler.obtainMessage();
    localMessage.what = 4342580;
    localMessage.setData(localBundle);
    final AlertDialog.Builder localBuilder = new AlertDialog.Builder(this).setTitle(2131165213).setMessage(2131165214);
    localBuilder.setPositiveButton(2131165219, new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        AlertDialog localAlertDialog = new AlertDialog.Builder(MainActivity.this).create();
        localAlertDialog.setTitle(2131165219);
        localAlertDialog.setMessage(MainActivity.this.getString(2131165204));
        localAlertDialog.show();
      }
    });
    localBuilder.setNegativeButton(2131165223, new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        if (MainActivity.this.getPermissionAsRoot())
        {
          MainActivity.this.mHandler.sendMessage(localMessage);
          return;
        }
        Toast.makeText(MainActivity.this, 2131165192, 1).show();
      }
    });
    new Thread()
    {
      public void run()
      {
        if (ApplicationUtils.checkPermission(MainActivity.this))
        {
          MainActivity.this.mHandler.sendMessage(localMessage);
          return;
        }
        MainActivity.this.mHandler.post(new Runnable()
        {
          public void run()
          {
            MainActivity.8.this.val$ab.create().show();
          }
        });
      }
    }.start();
  }
  
  private boolean getPermissionAsRoot()
  {
    try
    {
      RootTools.getShell(true).add(new CommandCapture(0, new String[] { "pm grant jp.co.c_lis.ccl.morelocale android.permission.CHANGE_CONFIGURATION" })).waitForFinish(10000);
      Log.d("MoreLocale", "success grant permmission");
      return true;
    }
    catch (InterruptedException localInterruptedException)
    {
      Log.e("MoreLocale", "InterruptedException", localInterruptedException);
      return false;
    }
    catch (TimeoutException localTimeoutException)
    {
      for (;;)
      {
        Log.e("MoreLocale", "TimeoutException", localTimeoutException);
      }
    }
    catch (IOException localIOException)
    {
      for (;;)
      {
        Log.e("MoreLocale", "IOException", localIOException);
      }
    }
  }
  
  private List<MoreLocale.Loc> getPresetLocales()
  {
    new ArrayList();
    Hashtable localHashtable = new Hashtable();
    String[] arrayOfString = getAssets().getLocales();
    Arrays.sort(arrayOfString);
    int i = arrayOfString.length;
    int j = 0;
    if (j < i)
    {
      String str1 = arrayOfString[j];
      if (str1.equals("ja")) {
        str1 = "ja_JP";
      }
      int k = str1.length();
      if (k == 2)
      {
        Locale localLocale1 = new Locale(str1);
        String str2 = localLocale1.getLanguage();
        MoreLocale.Loc localLoc1 = new MoreLocale.Loc(toTitleCase(localLocale1.getDisplayLanguage()), localLocale1);
        localHashtable.put(str2, localLoc1);
      }
      Locale localLocale2;
      for (;;)
      {
        j++;
        break;
        if (k == 5)
        {
          String str3 = str1.substring(0, 2);
          localLocale2 = new Locale(str3, str1.substring(3, 5));
          if (localHashtable.size() == 0)
          {
            MoreLocale.Loc localLoc2 = new MoreLocale.Loc(toTitleCase(localLocale2.getDisplayLanguage()), localLocale2);
            localHashtable.put(localLocale2.getLanguage(), localLoc2);
          }
          else
          {
            if (!localHashtable.containsKey(localLocale2.getLanguage())) {
              break label325;
            }
            MoreLocale.Loc localLoc4 = (MoreLocale.Loc)localHashtable.get(localLocale2.getLanguage());
            if (localLoc4.locale.getLanguage().equals(str3)) {
              if (localLoc4.locale.getCountry().length() == 0)
              {
                localLoc4.locale = localLocale2;
                localLoc4.label = toTitleCase(localLocale2.getDisplayLanguage());
              }
              else
              {
                localLoc4.label = toTitleCase(localLoc4.locale.getDisplayName());
                localHashtable.put(str1, new MoreLocale.Loc(toTitleCase(localLocale2.getDisplayName()), localLocale2));
              }
            }
          }
        }
      }
      label325:
      if (str1.equals("zz_ZZ")) {}
      for (String str4 = "Pseudo...";; str4 = toTitleCase(localLocale2.getDisplayLanguage()))
      {
        MoreLocale.Loc localLoc3 = new MoreLocale.Loc(toTitleCase(str4), localLocale2);
        localHashtable.put(localLocale2.getLanguage(), localLoc3);
        break;
      }
    }
    return new ArrayList(localHashtable.values());
  }
  
  private void initConfirmDeleteDialog(final long paramLong)
  {
    if (this.mConfirmDeleteDialog == null)
    {
      this.mConfirmDeleteDialog = new AlertDialog.Builder(this).create();
      this.mConfirmDeleteDialog.setTitle(2131165199);
      this.mConfirmDeleteDialog.setMessage(getText(2131165225));
    }
    this.mConfirmDeleteDialog.setButton(getText(2131165199), new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        SQLiteDatabase localSQLiteDatabase = MainActivity.this.mDb;
        String[] arrayOfString = new String[2];
        arrayOfString[0] = String.valueOf(paramLong);
        arrayOfString[1] = String.valueOf(0);
        if (localSQLiteDatabase.delete("locales", "_id = ? AND preset_flg = ?", arrayOfString) > 0)
        {
          Toast.makeText(MainActivity.this, 2131165209, 1).show();
          MainActivity.this.reloadDb();
          return;
        }
        Toast.makeText(MainActivity.this, 2131165210, 1).show();
      }
    });
    this.mConfirmDeleteDialog.setButton2(getText(2131165188), new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.dismiss();
      }
    });
  }
  
  private void insertLocale(MoreLocale.Loc paramLoc, long paramLong, int paramInt)
  {
    ContentValues localContentValues = new ContentValues();
    int i = paramLoc.hashCode();
    localContentValues.put("_id", Integer.valueOf(i));
    localContentValues.put("label", paramLoc.label);
    localContentValues.put("language", paramLoc.locale.getLanguage());
    localContentValues.put("country", paramLoc.locale.getCountry());
    localContentValues.put("variant", paramLoc.locale.getVariant());
    localContentValues.put("row_order", Long.valueOf(paramLong));
    localContentValues.put("preset_flg", Integer.valueOf(paramInt));
    SQLiteDatabase localSQLiteDatabase = this.mDb;
    String[] arrayOfString = new String[1];
    arrayOfString[0] = String.valueOf(i);
    if (localSQLiteDatabase.update("locales", localContentValues, "_id = ?", arrayOfString) == 0) {
      this.mDb.insert("locales", null, localContentValues);
    }
  }
  
  private boolean isCustomLocale(long paramLong)
  {
    if (this.mDb.isOpen())
    {
      SQLiteDatabase localSQLiteDatabase = this.mDb;
      String[] arrayOfString1 = PROJECTION;
      String[] arrayOfString2 = new String[2];
      arrayOfString2[0] = String.valueOf(paramLong);
      arrayOfString2[1] = String.valueOf(0);
      if (localSQLiteDatabase.query("locales", arrayOfString1, "_id = ? AND preset_flg = ?", arrayOfString2, null, null, "row_order desc").getCount() > 0) {
        return true;
      }
    }
    return false;
  }
  
  private void reloadDb()
  {
    if (this.mDb.isOpen())
    {
      this.mCursor = this.mDb.query("locales", PROJECTION, null, null, null, null, "row_order desc");
      this.mAdapter.changeCursor(this.mCursor);
      this.mAdapter.notifyDataSetChanged();
    }
  }
  
  private void setLocaleHeader(MoreLocale.Loc paramLoc)
  {
    String str1 = paramLoc.locale.getDisplayName();
    String str2 = paramLoc.locale.getLanguage();
    String str3 = paramLoc.locale.getCountry();
    String str4 = paramLoc.locale.getVariant();
    if (str2.equals("")) {
      str2 = "N/A";
    }
    if (str3.equals("")) {
      str3 = "N/A";
    }
    if (str4.equals("")) {
      str4 = "N/A";
    }
    String str5 = str2 + " " + str3 + " " + str4;
    ((TextView)findViewById(2131296275)).setText(str1);
    ((TextView)findViewById(2131296276)).setText(str5);
  }
  
  private void setMenuItems(int paramInt1, int paramInt2, Menu paramMenu, final TextView paramTextView)
  {
    String[] arrayOfString1 = getResources().getStringArray(paramInt1);
    final String[] arrayOfString2 = getResources().getStringArray(paramInt2);
    final int i = 0;
    int j = arrayOfString1.length;
    for (int k = 0; k < j; k++)
    {
      paramMenu.add(arrayOfString1[k]).setOnMenuItemClickListener(new MenuItem.OnMenuItemClickListener()
      {
        public boolean onMenuItemClick(MenuItem paramAnonymousMenuItem)
        {
          paramTextView.setText(arrayOfString2[i]);
          return false;
        }
      });
      i++;
    }
  }
  
  private void showCustomLocaleDialog()
  {
    showCustomLocaleDialog(false);
  }
  
  private void showCustomLocaleDialog(boolean paramBoolean)
  {
    if (this.mCustomLocaleDialog == null) {
      this.mCustomLocaleDialog = new Dialog(this);
    }
    this.mCustomLocaleDialog.setContentView(2130903041);
    this.mLabel = ((EditText)this.mCustomLocaleDialog.findViewById(2131296263));
    this.mLanguage = ((EditText)this.mCustomLocaleDialog.findViewById(2131296264));
    this.mCountry = ((EditText)this.mCustomLocaleDialog.findViewById(2131296266));
    this.mVariant = ((EditText)this.mCustomLocaleDialog.findViewById(2131296268));
    Button localButton1 = (Button)this.mCustomLocaleDialog.findViewById(2131296265);
    Button localButton2 = (Button)this.mCustomLocaleDialog.findViewById(2131296267);
    Button localButton3 = (Button)this.mCustomLocaleDialog.findViewById(2131296269);
    if (!paramBoolean)
    {
      this.mCustomLocaleDialog.setTitle(2131165196);
      localButton3.setText(getText(2131165218));
      localButton3.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          Locale localLocale = new Locale(MainActivity.this.mLanguage.getText().toString(), MainActivity.this.mCountry.getText().toString(), MainActivity.this.mVariant.getText().toString());
          MoreLocale.Loc localLoc = new MoreLocale.Loc(MainActivity.this.getText(2131165195).toString(), localLocale);
          MainActivity.this.changeLocale(localLoc);
          if (MainActivity.this.mCustomLocaleDialog.isShowing()) {
            MainActivity.this.mCustomLocaleDialog.dismiss();
          }
        }
      });
    }
    for (;;)
    {
      this.mCustomLocaleDialog.findViewById(2131296270).setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          if (MainActivity.this.mCustomLocaleDialog.isShowing()) {
            MainActivity.this.mCustomLocaleDialog.dismiss();
          }
        }
      });
      this.mCustomLocaleDialog.setOnDismissListener(new DialogInterface.OnDismissListener()
      {
        public void onDismiss(DialogInterface paramAnonymousDialogInterface)
        {
          MainActivity.this.mLabel.setText("");
          MainActivity.this.mLanguage.setText("");
          MainActivity.this.mCountry.setText("");
          MainActivity.this.mVariant.setText("");
        }
      });
      localButton1.setOnClickListener(this.mCustomLocaleDialogOnClickListener);
      localButton1.setOnCreateContextMenuListener(this.mCustomLocaleContextMenuListener);
      localButton2.setOnClickListener(this.mCustomLocaleDialogOnClickListener);
      localButton2.setOnCreateContextMenuListener(this.mCustomLocaleContextMenuListener);
      Locale localLocale = getResources().getConfiguration().locale;
      this.mLanguage.setText(localLocale.getLanguage());
      this.mCountry.setText(localLocale.getCountry());
      this.mVariant.setText(localLocale.getVariant());
      if (!paramBoolean) {
        this.mCustomLocaleDialog.findViewById(2131296262).setVisibility(8);
      }
      this.mCustomLocaleDialog.setOnDismissListener(new DialogInterface.OnDismissListener()
      {
        public void onDismiss(DialogInterface paramAnonymousDialogInterface)
        {
          MainActivity.this.mTvCustomLocale.setTextColor(MainActivity.this.getResources().getColor(2131099649));
        }
      });
      this.mCustomLocaleDialog.show();
      return;
      this.mCustomLocaleDialog.setTitle(2131165197);
      localButton3.setText(getText(2131165187));
      localButton3.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          Locale localLocale = new Locale(MainActivity.this.mLanguage.getText().toString(), MainActivity.this.mCountry.getText().toString(), MainActivity.this.mVariant.getText().toString());
          MoreLocale.Loc localLoc = new MoreLocale.Loc(MainActivity.this.mLabel.getText().toString(), localLocale);
          MainActivity.this.insertLocale(localLoc, System.currentTimeMillis(), 0);
          MainActivity.this.reloadDb();
          if (MainActivity.this.mCustomLocaleDialog.isShowing()) {
            MainActivity.this.mCustomLocaleDialog.dismiss();
          }
        }
      });
    }
  }
  
  private void showCustomLocaleSaveDialog()
  {
    showCustomLocaleDialog(true);
  }
  
  private static String toTitleCase(String paramString)
  {
    if (paramString.length() == 0) {
      return paramString;
    }
    return Character.toUpperCase(paramString.charAt(0)) + paramString.substring(1);
  }
  
  public void onClick(View paramView)
  {
    switch (paramView.getId())
    {
    default: 
      return;
    }
    this.mTvCustomLocale.setTextColor(getResources().getColor(2131099648));
    showCustomLocaleDialog();
  }
  
  public void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    setContentView(2130903045);
    this.mTvCustomLocale = ((TextView)findViewById(2131296277));
    this.mTvCustomLocale.setOnClickListener(this);
    this.mDb = new DBHelper(this, "morelocale.db", null, 1).getWritableDatabase();
    this.mCursor = this.mDb.query("locales", PROJECTION, null, null, null, null, "row_order desc");
    this.mAdapter = new Adapter(this, this.mCursor);
    this.mLvLocales = ((ListView)findViewById(2131296274));
    this.mLvLocales.setOnItemClickListener(this);
    this.mLvLocales.setAdapter(this.mAdapter);
    this.mLvLocales.setOnItemLongClickListener(this);
    this.mLvLocales.setOnCreateContextMenuListener(new View.OnCreateContextMenuListener()
    {
      public void onCreateContextMenu(ContextMenu paramAnonymousContextMenu, View paramAnonymousView, ContextMenu.ContextMenuInfo paramAnonymousContextMenuInfo)
      {
        MainActivity.this.getMenuInflater().inflate(2131230721, paramAnonymousContextMenu);
        paramAnonymousContextMenu.findItem(2131296284).setOnMenuItemClickListener(new MenuItem.OnMenuItemClickListener()
        {
          public boolean onMenuItemClick(MenuItem paramAnonymous2MenuItem)
          {
            if (MainActivity.this.isCustomLocale(MainActivity.this.mSelectedRowId))
            {
              MainActivity.this.initConfirmDeleteDialog(MainActivity.this.mSelectedRowId);
              MainActivity.this.mConfirmDeleteDialog.show();
            }
            for (;;)
            {
              return false;
              Toast.makeText(MainActivity.this, 2131165216, 1).show();
            }
          }
        });
      }
    });
    Locale localLocale = getResources().getConfiguration().locale;
    MoreLocale.Loc localLoc = new MoreLocale.Loc(getText(2131165195).toString(), localLocale);
    Bundle localBundle = new Bundle();
    localBundle.putSerializable("loc", localLoc);
    Message localMessage = this.mHandler.obtainMessage();
    localMessage.what = 4342585;
    localMessage.setData(localBundle);
    this.mHandler.sendMessage(localMessage);
    if (this.mCursor.getCount() == 0) {
      new Thread(this.mInit).start();
    }
  }
  
  public boolean onCreateOptionsMenu(Menu paramMenu)
  {
    getMenuInflater().inflate(2131230722, paramMenu);
    paramMenu.findItem(2131296285).setOnMenuItemClickListener(this);
    paramMenu.findItem(2131296283).setOnMenuItemClickListener(this);
    return super.onCreateOptionsMenu(paramMenu);
  }
  
  protected void onDestroy()
  {
    super.onDestroy();
    this.mDb.close();
  }
  
  public void onItemClick(AdapterView<?> paramAdapterView, View paramView, int paramInt, long paramLong)
  {
    if (this.mStatus == 1) {
      return;
    }
    this.mCursor.moveToPosition(paramInt);
    String str1 = this.mCursor.getString(1);
    String str2 = this.mCursor.getString(2);
    String str3 = this.mCursor.getString(3);
    String str4 = this.mCursor.getString(4);
    if (str1 == null) {
      str1 = "";
    }
    if (str2 == null) {
      str2 = "";
    }
    if (str3 == null) {
      str3 = "";
    }
    if (str4 == null) {
      str4 = "";
    }
    changeLocale(new MoreLocale.Loc(str1, new Locale(str2, str3, str4)));
  }
  
  public boolean onItemLongClick(AdapterView<?> paramAdapterView, View paramView, int paramInt, long paramLong)
  {
    this.mSelectedRowId = paramLong;
    return false;
  }
  
  public boolean onMenuItemClick(MenuItem paramMenuItem)
  {
    switch (paramMenuItem.getItemId())
    {
    case 2131296284: 
    default: 
      return false;
    case 2131296285: 
      showCustomLocaleSaveDialog();
      return true;
    }
    Dialog localDialog = new Dialog(this);
    localDialog.setTitle(getText(2131165186));
    localDialog.setContentView(2130903040);
    ((TextView)localDialog.findViewById(2131296258)).setText("Version " + ApplicationUtils.getVersionName(this));
    localDialog.show();
    return true;
  }
  
  public void onResume()
  {
    super.onResume();
    this.mLvLocales.requestFocus();
  }
  
  private class Adapter
    extends CursorAdapter
  {
    public Adapter(Context paramContext, Cursor paramCursor)
    {
      super(paramCursor);
    }
    
    public void bindView(View paramView, Context paramContext, Cursor paramCursor)
    {
      int i = paramCursor.getInt(5);
      MainActivity.this.getResources().getColor(2131099648);
      int j;
      if (i == 0)
      {
        j = MainActivity.this.getResources().getColor(2131099649);
        ((TextView)paramView.findViewById(2131296280)).setText(paramCursor.getString(1));
      }
      for (;;)
      {
        ((TextView)paramView.findViewById(2131296279)).setBackgroundColor(j);
        return;
        j = MainActivity.this.getResources().getColor(2131099648);
        Locale localLocale = new Locale(paramCursor.getString(2), paramCursor.getString(3), paramCursor.getString(4));
        ((TextView)paramView.findViewById(2131296280)).setText(localLocale.getDisplayName());
      }
    }
    
    public View newView(Context paramContext, Cursor paramCursor, ViewGroup paramViewGroup)
    {
      View localView = View.inflate(paramContext, 2130903048, null);
      int i = paramCursor.getInt(5);
      MainActivity.this.getResources().getColor(2131099648);
      int j;
      if (i == 0)
      {
        j = MainActivity.this.getResources().getColor(2131099649);
        ((TextView)localView.findViewById(2131296280)).setText(paramCursor.getString(1));
      }
      for (;;)
      {
        ((TextView)localView.findViewById(2131296279)).setBackgroundColor(j);
        return localView;
        j = MainActivity.this.getResources().getColor(2131099648);
        Locale localLocale = new Locale(paramCursor.getString(2), paramCursor.getString(3), paramCursor.getString(4));
        ((TextView)localView.findViewById(2131296280)).setText(localLocale.getDisplayName());
      }
    }
  }
}



/* Location:           H:\Android\APK Tool\Passo 2 - Java Decompiler\More.jar

 * Qualified Name:     com.android.settings.morelocale.ui.MainActivity

 * JD-Core Version:    0.7.0.1

 */