package com.stericson.RootTools;

import java.io.IOException;
import java.io.OutputStream;

public abstract class Command
{
  final String[] command;
  int exitCode;
  boolean finished = false;
  int id = 0;
  int timeout = InternalVariables.timeout;
  
  public Command(int paramInt1, int paramInt2, String... paramVarArgs)
  {
    this.command = paramVarArgs;
    this.id = paramInt1;
    this.timeout = paramInt2;
  }
  
  public Command(int paramInt, String... paramVarArgs)
  {
    this.command = paramVarArgs;
    this.id = paramInt;
  }
  
  public void commandFinished(int paramInt)
  {
    RootTools.log("Command " + paramInt + "finished.");
  }
  
  public int exitCode()
    throws InterruptedException
  {
    try
    {
      int i = exitCode(this.timeout);
      return i;
    }
    finally {}
  }
  
  public int exitCode(int paramInt)
    throws InterruptedException
  {
    try
    {
      waitForFinish(paramInt);
      return this.exitCode;
    }
    finally {}
  }
  
  public String getCommand()
  {
    StringBuilder localStringBuilder = new StringBuilder();
    for (int i = 0;; i++)
    {
      if (i >= this.command.length)
      {
        RootTools.log("Sending command(s): " + localStringBuilder.toString());
        return localStringBuilder.toString();
      }
      localStringBuilder.append(this.command[i]);
      localStringBuilder.append('\n');
    }
  }
  
  public abstract void output(int paramInt, String paramString);
  
  public void setExitCode(int paramInt)
  {
    try
    {
      this.exitCode = paramInt;
      this.finished = true;
      commandFinished(this.id);
      notifyAll();
      return;
    }
    finally {}
  }
  
  public void terminate(String paramString)
  {
    try
    {
      Shell.closeAll();
      RootTools.log("Terminating all shells.");
      terminated(paramString);
      return;
    }
    catch (IOException localIOException) {}
  }
  
  public void terminated(String paramString)
  {
    setExitCode(-1);
    RootTools.log("Command " + this.id + " did not finish.");
  }
  
  public void waitForFinish()
    throws InterruptedException
  {
    try
    {
      waitForFinish(this.timeout);
      return;
    }
    finally {}
  }
  
  /* Error */
  public void waitForFinish(int paramInt)
    throws InterruptedException
  {
    // Byte code:
    //   0: aload_0
    //   1: monitorenter
    //   2: aload_0
    //   3: getfield 19	com/stericson/RootTools/Command:finished	Z
    //   6: ifeq +6 -> 12
    //   9: aload_0
    //   10: monitorexit
    //   11: return
    //   12: aload_0
    //   13: iload_1
    //   14: i2l
    //   15: invokevirtual 103	java/lang/Object:wait	(J)V
    //   18: aload_0
    //   19: getfield 19	com/stericson/RootTools/Command:finished	Z
    //   22: ifne -20 -> 2
    //   25: aload_0
    //   26: iconst_1
    //   27: putfield 19	com/stericson/RootTools/Command:finished	Z
    //   30: ldc 105
    //   32: invokestatic 56	com/stericson/RootTools/RootTools:log	(Ljava/lang/String;)V
    //   35: aload_0
    //   36: ldc 107
    //   38: invokevirtual 109	com/stericson/RootTools/Command:terminate	(Ljava/lang/String;)V
    //   41: goto -39 -> 2
    //   44: astore_2
    //   45: aload_0
    //   46: monitorexit
    //   47: aload_2
    //   48: athrow
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	49	0	this	Command
    //   0	49	1	paramInt	int
    //   44	4	2	localObject	Object
    // Exception table:
    //   from	to	target	type
    //   2	11	44	finally
    //   12	41	44	finally
    //   45	47	44	finally
  }
  
  public void writeCommand(OutputStream paramOutputStream)
    throws IOException
  {
    paramOutputStream.write(getCommand().getBytes());
  }
}



/* Location:           H:\Android\APK Tool\Passo 2 - Java Decompiler\More.jar

 * Qualified Name:     com.stericson.RootTools.Command

 * JD-Core Version:    0.7.0.1

 */