package com.stericson.RootTools;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import java.io.IOException;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.concurrent.TimeoutException;

public class RootTools
{
  public static String customShell = "";
  public static boolean debugMode = false;
  public static int lastExitCode;
  public static List<String> lastFoundBinaryPaths = new ArrayList();
  public static int shellDelay = 0;
  public static boolean useRoot = true;
  public static String utilPath;
  
  public static boolean checkUtil(String paramString)
  {
    return InternalMethods.checkUtil(paramString);
  }
  
  public static void closeAllShells()
    throws IOException
  {}
  
  public static void closeCustomShell()
    throws IOException
  {}
  
  public static void closeShell(boolean paramBoolean)
    throws IOException
  {
    if (paramBoolean)
    {
      Shell.closeRootShell();
      return;
    }
    Shell.closeShell();
  }
  
  public static boolean copyFile(String paramString1, String paramString2, boolean paramBoolean1, boolean paramBoolean2)
  {
    return InternalMethods.copyFile(paramString1, paramString2, paramBoolean1, paramBoolean2);
  }
  
  public static boolean exists(String paramString)
  {
    return InternalMethods.exists(paramString);
  }
  
  public static boolean findBinary(String paramString)
  {
    return InternalMethods.findBinary(paramString);
  }
  
  public static void fixUtil(String paramString1, String paramString2)
  {
    InternalMethods.fixUtil(paramString1, paramString2);
  }
  
  public static boolean fixUtils(String[] paramArrayOfString)
    throws Exception
  {
    return InternalMethods.fixUtils(paramArrayOfString);
  }
  
  public static List<String> getBusyBoxApplets()
    throws Exception
  {
    return getBusyBoxApplets("");
  }
  
  public static List<String> getBusyBoxApplets(String paramString)
    throws Exception
  {
    return InternalMethods.getBusyBoxApplets(paramString);
  }
  
  public static String getBusyBoxVersion()
  {
    return getBusyBoxVersion("");
  }
  
  public static String getBusyBoxVersion(String paramString)
  {
    return InternalMethods.getBusyBoxVersion(paramString);
  }
  
  public static Shell getCustomShell(String paramString)
    throws IOException, TimeoutException
  {
    return Shell.startCustomShell(paramString);
  }
  
  public static Permissions getFilePermissionsSymlinks(String paramString)
  {
    return InternalMethods.getFilePermissionsSymlinks(paramString);
  }
  
  public static String getInode(String paramString)
  {
    return InternalMethods.getInode(paramString);
  }
  
  public static String getMountedAs(String paramString)
    throws Exception
  {
    return InternalMethods.getMountedAs(paramString);
  }
  
  public static ArrayList<Mount> getMounts()
    throws Exception
  {
    return InternalMethods.getMounts();
  }
  
  public static Set<String> getPath()
    throws Exception
  {
    return InternalMethods.getPath();
  }
  
  public static Shell getShell(boolean paramBoolean)
    throws IOException, TimeoutException
  {
    if (paramBoolean) {
      return Shell.startRootShell();
    }
    return Shell.startShell();
  }
  
  public static long getSpace(String paramString)
  {
    return InternalMethods.getSpace(paramString);
  }
  
  public static String getSymlink(String paramString)
  {
    return InternalMethods.getSymlink(paramString);
  }
  
  public static ArrayList<Symlink> getSymlinks(String paramString)
    throws Exception
  {
    return InternalMethods.getSymlinks(paramString);
  }
  
  public static String getWorkingToolbox()
  {
    return InternalMethods.getWorkingToolbox();
  }
  
  public static boolean hasEnoughSpaceOnSdCard(long paramLong)
  {
    return InternalMethods.hasEnoughSpaceOnSdCard(paramLong);
  }
  
  public static boolean hasUtil(String paramString1, String paramString2)
  {
    return InternalMethods.hasUtil(paramString1, paramString2);
  }
  
  public static boolean installBinary(Context paramContext, int paramInt, String paramString)
  {
    return installBinary(paramContext, paramInt, paramString, "700");
  }
  
  public static boolean installBinary(Context paramContext, int paramInt, String paramString1, String paramString2)
  {
    return InternalMethods.installBinary(paramContext, paramInt, paramString1, paramString2);
  }
  
  public static boolean isAccessGiven()
  {
    return InternalMethods.isAccessGiven();
  }
  
  public static boolean isAppletAvailable(String paramString)
  {
    return isAppletAvailable(paramString, "");
  }
  
  public static boolean isAppletAvailable(String paramString1, String paramString2)
  {
    return InternalMethods.isAppletAvailable(paramString1, paramString2);
  }
  
  public static boolean isBusyboxAvailable()
  {
    return findBinary("busybox");
  }
  
  public static boolean isNativeToolsReady(int paramInt, Context paramContext)
  {
    return InternalMethods.isNativeToolsReady(paramInt, paramContext);
  }
  
  public static boolean isProcessRunning(String paramString)
  {
    return InternalMethods.isProcessRunning(paramString);
  }
  
  public static boolean isRootAvailable()
  {
    return findBinary("su");
  }
  
  public static boolean killProcess(String paramString)
  {
    return InternalMethods.killProcess(paramString);
  }
  
  public static void log(String paramString)
  {
    log(null, paramString, 3, null);
  }
  
  public static void log(String paramString, int paramInt, Exception paramException)
  {
    log(null, paramString, paramInt, paramException);
  }
  
  public static void log(String paramString1, String paramString2)
  {
    log(paramString1, paramString2, 3, null);
  }
  
  public static void log(String paramString1, String paramString2, int paramInt, Exception paramException)
  {
    if ((paramString2 != null) && (!paramString2.equals("")) && (debugMode)) {
      if (paramString1 == null) {
        paramString1 = InternalVariables.TAG;
      }
    }
    switch (paramInt)
    {
    default: 
      return;
    case 1: 
      Log.v(paramString1, paramString2);
      return;
    case 2: 
      Log.e(paramString1, paramString2, paramException);
      return;
    }
    Log.d(paramString1, paramString2);
  }
  
  public static Intent offerBusyBox(Activity paramActivity, int paramInt)
  {
    return InternalMethods.offerBusyBox(paramActivity, paramInt);
  }
  
  public static void offerBusyBox(Activity paramActivity)
  {
    InternalMethods.offerBusyBox(paramActivity);
  }
  
  public static Intent offerSuperUser(Activity paramActivity, int paramInt)
  {
    return InternalMethods.offerSuperUser(paramActivity, paramInt);
  }
  
  public static void offerSuperUser(Activity paramActivity)
  {
    InternalMethods.offerSuperUser(paramActivity);
  }
  
  public static boolean remount(String paramString1, String paramString2)
  {
    return new Remounter().remount(paramString1, paramString2);
  }
  
  public static void restartAndroid()
  {
    log("Restart Android");
    killProcess("zygote");
  }
  
  public static void runBinary(Context paramContext, String paramString1, String paramString2)
  {
    new Runner(paramContext, paramString1, paramString2).start();
  }
  
  public static void runShellCommand(Shell paramShell, Command paramCommand)
    throws IOException
  {
    paramShell.add(paramCommand);
  }
  
  public static List<String> sendShell(String paramString, int paramInt)
    throws IOException, RootToolsException, TimeoutException
  {
    return sendShell(paramString, null, paramInt);
  }
  
  public static List<String> sendShell(String paramString, Result paramResult, int paramInt)
    throws IOException, RootToolsException, TimeoutException
  {
    return sendShell(new String[] { paramString }, 0, paramResult, paramInt);
  }
  
  public static List<String> sendShell(String[] paramArrayOfString, int paramInt1, int paramInt2)
    throws IOException, RootToolsException, TimeoutException
  {
    return sendShell(paramArrayOfString, paramInt1, null, paramInt2);
  }
  
  public static List<String> sendShell(String[] paramArrayOfString, int paramInt1, Result paramResult, int paramInt2)
    throws IOException, RootToolsException, TimeoutException
  {
    return sendShell(paramArrayOfString, paramInt1, paramResult, useRoot, paramInt2);
  }
  
  public static List<String> sendShell(String[] paramArrayOfString, int paramInt1, Result paramResult, boolean paramBoolean, int paramInt2)
    throws IOException, RootToolsException, TimeoutException
  {
    return new Executer().sendShell(paramArrayOfString, paramInt1, paramResult, paramBoolean, paramInt2);
  }
  
  public static abstract class Result
    implements IResult
  {
    private Serializable data = null;
    private int error = 0;
    private Process process = null;
    
    public Serializable getData()
    {
      return this.data;
    }
    
    public int getError()
    {
      return this.error;
    }
    
    public Process getProcess()
    {
      return this.process;
    }
    
    public abstract void onComplete(int paramInt);
    
    public abstract void onFailure(Exception paramException);
    
    public abstract void process(String paramString)
      throws Exception;
    
    public abstract void processError(String paramString)
      throws Exception;
    
    public Result setData(Serializable paramSerializable)
    {
      this.data = paramSerializable;
      return this;
    }
    
    public Result setError(int paramInt)
    {
      this.error = paramInt;
      return this;
    }
    
    public Result setProcess(Process paramProcess)
    {
      this.process = paramProcess;
      return this;
    }
  }
}



/* Location:           H:\Android\APK Tool\Passo 2 - Java Decompiler\More.jar

 * Qualified Name:     com.stericson.RootTools.RootTools

 * JD-Core Version:    0.7.0.1

 */