package com.stericson.RootTools;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.ScrollView;
import android.widget.TextView;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.TimeoutException;

public class SanityCheckRootTools
  extends Activity
{
  private ProgressDialog mPDialog;
  private ScrollView mScrollView;
  private TextView mTextView;
  
  public void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    RootTools.debugMode = true;
    this.mTextView = new TextView(this);
    this.mTextView.setText("");
    this.mScrollView = new ScrollView(this);
    this.mScrollView.addView(this.mTextView);
    setContentView(this.mScrollView);
    String str = "?";
    try
    {
      str = getPackageManager().getPackageInfo(getPackageName(), 0).versionName;
      label80:
      print("SanityCheckRootTools v " + str + "\n\n");
      try
      {
        Shell.startRootShell();
      }
      catch (IOException localIOException)
      {
        for (;;)
        {
          try
          {
            if (RootTools.isAccessGiven()) {
              break;
            }
            print("ERROR: No root access to this device.\n");
            return;
          }
          catch (Exception localException)
          {
            print("ERROR: could not determine root access to this device.\n");
            return;
          }
          localIOException = localIOException;
          localIOException.printStackTrace();
        }
      }
      catch (TimeoutException localTimeoutException)
      {
        for (;;)
        {
          print("[ TIMEOUT EXCEPTION! ]\n");
          localTimeoutException.printStackTrace();
        }
      }
      this.mPDialog = new ProgressDialog(this);
      this.mPDialog.setCancelable(false);
      this.mPDialog.setProgressStyle(0);
      new SanityCheckThread(this, new TestHandler(null)).start();
      return;
    }
    catch (PackageManager.NameNotFoundException localNameNotFoundException)
    {
      break label80;
    }
  }
  
  protected void print(CharSequence paramCharSequence)
  {
    this.mTextView.append(paramCharSequence);
    this.mScrollView.post(new Runnable()
    {
      public void run()
      {
        SanityCheckRootTools.this.mScrollView.fullScroll(130);
      }
    });
  }
  
  private class SanityCheckThread
    extends Thread
  {
    private Handler mHandler;
    
    public SanityCheckThread(Context paramContext, Handler paramHandler)
    {
      this.mHandler = paramHandler;
    }
    
    private void visualUpdate(int paramInt, String paramString)
    {
      Message localMessage = this.mHandler.obtainMessage();
      Bundle localBundle = new Bundle();
      localBundle.putInt("action", paramInt);
      localBundle.putString("text", paramString);
      localMessage.setData(localBundle);
      this.mHandler.sendMessage(localMessage);
    }
    
    public void run()
    {
      visualUpdate(1, null);
      visualUpdate(4, "Testing Find Binary");
      boolean bool1 = RootTools.isRootAvailable();
      visualUpdate(3, "[ Checking Root ]\n");
      visualUpdate(3, bool1 + " k\n\n");
      visualUpdate(4, "Testing file exists");
      visualUpdate(3, "[ Checking Exists() ]\n");
      visualUpdate(3, RootTools.exists("/system/sbin/[") + " k\n\n");
      visualUpdate(4, "Testing Is Access Given");
      boolean bool2 = RootTools.isAccessGiven();
      visualUpdate(3, "[ Checking for Access to Root ]\n");
      visualUpdate(3, bool2 + " k\n\n");
      visualUpdate(4, "Testing Remount");
      boolean bool3 = RootTools.remount("/system", "rw");
      visualUpdate(3, "[ Remounting System as RW ]\n");
      visualUpdate(3, bool3 + " k\n\n");
      visualUpdate(4, "Testing CheckUtil");
      visualUpdate(3, "[ Checking busybox is setup ]\n");
      visualUpdate(3, RootTools.checkUtil("busybox") + " k\n\n");
      visualUpdate(4, "Testing getBusyBoxVersion");
      visualUpdate(3, "[ Checking busybox version ]\n");
      visualUpdate(3, RootTools.getBusyBoxVersion("/data/data/stericson.busybox.donate/files/bb") + " k\n\n");
      for (;;)
      {
        try
        {
          visualUpdate(4, "Testing fixUtils");
          visualUpdate(3, "[ Checking Utils ]\n");
          visualUpdate(3, RootTools.fixUtils(new String[] { "ls", "rm", "ln", "dd", "chmod", "mount" }) + " k\n\n");
        }
        catch (Exception localException1)
        {
          try
          {
            visualUpdate(4, "Testing getSymlink");
            visualUpdate(3, "[ Checking [[ for symlink ]\n");
            visualUpdate(3, RootTools.getSymlink("/system/bin/[[") + " k\n\n");
            visualUpdate(4, "Testing getInode");
            visualUpdate(3, "[ Checking Inodes ]\n");
            visualUpdate(3, RootTools.getInode("/system/bin/busybox") + " k\n\n");
            visualUpdate(4, "Testing GetBusyBoxapplets");
            try
            {
              visualUpdate(3, "[ Getting all available Busybox applets ]\n");
              localIterator2 = RootTools.getBusyBoxApplets("/data/data/stericson.busybox.donate/files/bb").iterator();
              boolean bool5 = localIterator2.hasNext();
              if (bool5) {
                continue;
              }
            }
            catch (Exception localException3)
            {
              Iterator localIterator2;
              Permissions localPermissions;
              long l;
              localException3.printStackTrace();
              continue;
              visualUpdate(3, "Permissions == null k\n\n");
              continue;
              visualUpdate(3, (String)localIterator1.next() + "\n");
              continue;
            }
            visualUpdate(4, "Testing getFilePermissionsSymlinks");
            localPermissions = RootTools.getFilePermissionsSymlinks("/system/bin/busybox");
            visualUpdate(3, "[ Checking busybox permissions and symlink ]\n");
            if (localPermissions != null)
            {
              visualUpdate(3, "Symlink: " + localPermissions.getSymlink() + " k\n\n");
              visualUpdate(3, "Group Permissions: " + localPermissions.getGroupPermissions() + " k\n\n");
              visualUpdate(3, "Owner Permissions: " + localPermissions.getOtherPermissions() + " k\n\n");
              visualUpdate(3, "Permissions: " + localPermissions.getPermissions() + " k\n\n");
              visualUpdate(3, "Type: " + localPermissions.getType() + " k\n\n");
              visualUpdate(3, "User Permissions: " + localPermissions.getUserPermissions() + " k\n\n");
              visualUpdate(4, "Testing df");
              l = RootTools.getSpace("/data");
              visualUpdate(3, "[ Checking /data partition size]\n");
              visualUpdate(3, l + "k\n\n");
              visualUpdate(4, "Testing sendShell() w/ return array");
            }
            try
            {
              List localList = RootTools.sendShell("ls /", InternalVariables.timeout);
              visualUpdate(3, "[ Listing of / (passing a List)]\n");
              localIterator1 = localList.iterator();
              boolean bool4 = localIterator1.hasNext();
              if (!bool4) {
                visualUpdate(4, "Testing sendShell() w/ callbacks");
              }
            }
            catch (IOException localIOException1)
            {
              Iterator localIterator1;
              RootTools.Result local1;
              int i;
              visualUpdate(2, "ERROR: " + localIOException1);
              return;
            }
            catch (RootToolsException localRootToolsException1)
            {
              visualUpdate(2, "DEV-DEFINED ERROR: " + localRootToolsException1);
              return;
            }
            catch (TimeoutException localTimeoutException1)
            {
              visualUpdate(2, "Timeout.. " + localTimeoutException1);
              return;
            }
            try
            {
              visualUpdate(3, "\n[ Listing of / (callback)]\n");
              local1 = new RootTools.Result()
              {
                public void onComplete(int paramAnonymousInt)
                {
                  SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, "------\nDone.\n");
                }
                
                public void onFailure(Exception paramAnonymousException)
                {
                  SanityCheckRootTools.SanityCheckThread.this.visualUpdate(2, "ERROR: " + paramAnonymousException);
                  setError(1);
                }
                
                public void process(String paramAnonymousString)
                  throws Exception
                {
                  SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, paramAnonymousString + "\n");
                }
                
                public void processError(String paramAnonymousString)
                  throws Exception
                {
                  SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, paramAnonymousString + "\n");
                }
              };
              RootTools.sendShell("ls /", local1, InternalVariables.timeout);
              i = local1.getError();
              if (i == 0) {
                break label1085;
              }
              return;
            }
            catch (IOException localIOException2)
            {
              visualUpdate(2, "ERROR: " + localIOException2);
              return;
            }
            catch (RootToolsException localRootToolsException2)
            {
              visualUpdate(2, "DEV-DEFINED ERROR: " + localRootToolsException2);
              return;
            }
            catch (TimeoutException localTimeoutException2)
            {
              visualUpdate(2, "Timeout.. " + localTimeoutException2);
              return;
            }
            localException1 = localException1;
            localException1.printStackTrace();
            continue;
          }
          catch (Exception localException2)
          {
            localException2.printStackTrace();
            continue;
            visualUpdate(3, (String)localIterator2.next() + " k\n\n");
            continue;
          }
        }
        label1085:
        visualUpdate(4, "Testing sendShell() for multiple commands");
        try
        {
          visualUpdate(3, "\n[ ps + ls + date / (callback)]\n");
          local2 = new RootTools.Result()
          {
            public void onComplete(int paramAnonymousInt)
            {
              SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, "------\nDone.\n");
            }
            
            public void onFailure(Exception paramAnonymousException)
            {
              SanityCheckRootTools.SanityCheckThread.this.visualUpdate(2, "ERROR: " + paramAnonymousException);
              setError(1);
            }
            
            public void process(String paramAnonymousString)
              throws Exception
            {
              SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, paramAnonymousString + "\n");
            }
            
            public void processError(String paramAnonymousString)
              throws Exception
            {
              SanityCheckRootTools.SanityCheckThread.this.visualUpdate(3, paramAnonymousString + "\n");
            }
          };
        }
        catch (IOException localIOException4)
        {
          for (;;)
          {
            try
            {
              RootTools.Result local2;
              RootTools.sendShell(new String[] { "echo \"* PS:\"", "ps", "echo \"* LS:\"", "ls", "echo \"* DATE:\"", "date" }, 0, local2, InternalVariables.timeout);
              int j = local2.getError();
              if (j != 0) {
                break;
              }
              visualUpdate(4, "All tests complete.");
              visualUpdate(2, null);
              try
              {
                RootTools.closeAllShells();
                return;
              }
              catch (IOException localIOException3)
              {
                localIOException3.printStackTrace();
                return;
              }
              localIOException4 = localIOException4;
            }
            catch (TimeoutException localTimeoutException4)
            {
              continue;
            }
            catch (RootToolsException localRootToolsException4)
            {
              continue;
            }
            catch (IOException localIOException5)
            {
              continue;
            }
            visualUpdate(2, "ERROR: " + localIOException4);
          }
        }
        catch (RootToolsException localRootToolsException3)
        {
          for (;;)
          {
            visualUpdate(2, "DEV-DEFINED ERROR: " + localRootToolsException3);
          }
        }
        catch (TimeoutException localTimeoutException3)
        {
          visualUpdate(2, "Timeout.. " + localTimeoutException3);
          return;
        }
      }
    }
  }
  
  private class TestHandler
    extends Handler
  {
    public static final String ACTION = "action";
    public static final int ACTION_DISPLAY = 3;
    public static final int ACTION_HIDE = 2;
    public static final int ACTION_PDISPLAY = 4;
    public static final int ACTION_SHOW = 1;
    public static final String TEXT = "text";
    
    private TestHandler() {}
    
    public void handleMessage(Message paramMessage)
    {
      int i = paramMessage.getData().getInt("action");
      String str = paramMessage.getData().getString("text");
      switch (i)
      {
      default: 
        return;
      case 1: 
        SanityCheckRootTools.this.mPDialog.show();
        SanityCheckRootTools.this.mPDialog.setMessage("Running Root Library Tests...");
        return;
      case 2: 
        if (str != null) {
          SanityCheckRootTools.this.print(str);
        }
        SanityCheckRootTools.this.mPDialog.hide();
        return;
      case 3: 
        SanityCheckRootTools.this.print(str);
        return;
      }
      SanityCheckRootTools.this.mPDialog.setMessage(str);
    }
  }
}



/* Location:           H:\Android\APK Tool\Passo 2 - Java Decompiler\More.jar

 * Qualified Name:     com.stericson.RootTools.SanityCheckRootTools

 * JD-Core Version:    0.7.0.1

 */