package com.stericson.RootTools;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.EOFException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeoutException;

public class Shell
{
  private static Shell customShell = null;
  private static String error = "";
  private static Shell rootShell = null;
  private static Shell shell = null;
  private static final String token = "F*D^W@#FGF";
  private boolean close = false;
  private final List<Command> commands = new ArrayList();
  private final DataInputStream in;
  private Runnable input = new Runnable()
  {
    public void run()
    {
      try
      {
        Shell.this.writeCommands();
        return;
      }
      catch (IOException localIOException)
      {
        RootTools.log(localIOException.getMessage(), 2, localIOException);
      }
    }
  };
  private final DataOutputStream out;
  private Runnable output = new Runnable()
  {
    public void run()
    {
      try
      {
        Shell.this.readOutput();
        return;
      }
      catch (IOException localIOException)
      {
        RootTools.log(localIOException.getMessage(), 2, localIOException);
        return;
      }
      catch (InterruptedException localInterruptedException)
      {
        RootTools.log(localInterruptedException.getMessage(), 2, localInterruptedException);
      }
    }
  };
  private final Process proc;
  
  private Shell(String paramString)
    throws IOException, TimeoutException
  {
    RootTools.log("Starting shell: " + paramString);
    this.proc = new ProcessBuilder(new String[] { paramString }).redirectErrorStream(true).start();
    this.in = new DataInputStream(this.proc.getInputStream());
    this.out = new DataOutputStream(this.proc.getOutputStream());
    Worker localWorker = new Worker(this.proc, this.in, this.out, null);
    localWorker.start();
    try
    {
      localWorker.join(5000L);
      if (localWorker.exit == -911)
      {
        this.proc.destroy();
        throw new TimeoutException(error);
      }
    }
    catch (InterruptedException localInterruptedException)
    {
      localWorker.interrupt();
      Thread.currentThread().interrupt();
      throw new TimeoutException();
    }
    new Thread(this.input, "Shell Input").start();
    new Thread(this.output, "Shell Output").start();
  }
  
  public static void closeAll()
    throws IOException
  {
    closeShell();
    closeRootShell();
    closeCustomShell();
  }
  
  public static void closeCustomShell()
    throws IOException
  {
    if (customShell == null) {
      return;
    }
    customShell.close();
  }
  
  public static void closeRootShell()
    throws IOException
  {
    if (rootShell == null) {
      return;
    }
    rootShell.close();
  }
  
  public static void closeShell()
    throws IOException
  {
    if (shell == null) {
      return;
    }
    shell.close();
  }
  
  public static Shell getOpenShell()
  {
    if (customShell != null) {
      return customShell;
    }
    if (rootShell != null) {
      return rootShell;
    }
    return shell;
  }
  
  public static boolean isAnyShellOpen()
  {
    if (shell != null) {}
    while ((rootShell != null) || (customShell != null)) {
      return true;
    }
    return false;
  }
  
  public static boolean isCustomShellOpen()
  {
    return customShell != null;
  }
  
  public static boolean isRootShellOpen()
  {
    return rootShell != null;
  }
  
  public static boolean isShellOpen()
  {
    return shell != null;
  }
  
  private void readOutput()
    throws IOException, InterruptedException
  {
    Command localCommand = null;
    int i = 0;
    String str = this.in.readLine();
    if (str == null)
    {
      label16:
      RootTools.log("Read all output");
      this.proc.waitFor();
      this.proc.destroy();
      RootTools.log("Shell destroyed");
    }
    for (;;)
    {
      if (i >= this.commands.size())
      {
        return;
        if (localCommand == null)
        {
          if (i >= this.commands.size())
          {
            if (!this.close) {
              break;
            }
            break label16;
          }
          localCommand = (Command)this.commands.get(i);
        }
        int j = str.indexOf("F*D^W@#FGF");
        if (j > 0) {
          localCommand.output(localCommand.id, str.substring(0, j));
        }
        if (j >= 0)
        {
          str = str.substring(j);
          String[] arrayOfString = str.split(" ");
          if ((arrayOfString[1] != null) && (Integer.parseInt(arrayOfString[1]) == i))
          {
            localCommand.setExitCode(Integer.parseInt(arrayOfString[2]));
            i++;
            localCommand = null;
            break;
          }
        }
        localCommand.output(localCommand.id, str);
        break;
      }
      if (localCommand == null) {
        localCommand = (Command)this.commands.get(i);
      }
      localCommand.terminated("Unexpected Termination.");
      i++;
      localCommand = null;
    }
  }
  
  public static void runCommand(Command paramCommand)
    throws IOException, TimeoutException
  {
    startShell().add(paramCommand);
  }
  
  public static void runRootCommand(Command paramCommand)
    throws IOException, TimeoutException
  {
    startRootShell().add(paramCommand);
  }
  
  public static Shell startCustomShell(String paramString)
    throws IOException, TimeoutException
  {
    if (customShell == null)
    {
      RootTools.log("Starting Custom Shell!");
      customShell = new Shell(paramString);
    }
    for (;;)
    {
      return customShell;
      RootTools.log("Using Existing Custom Shell!");
    }
  }
  
  public static Shell startRootShell()
    throws IOException, TimeoutException
  {
    if (rootShell == null) {
      RootTools.log("Starting Root Shell!");
    }
    int j;
    label67:
    for (int i = 0;; i = j)
    {
      if (rootShell != null) {}
      for (;;)
      {
        for (;;)
        {
          return rootShell;
          try
          {
            rootShell = new Shell("su");
          }
          catch (IOException localIOException)
          {
            j = i + 1;
            if (i < 2) {
              break label67;
            }
          }
        }
        RootTools.log("IOException, could not start shell");
        throw localIOException;
        RootTools.log("Using Existing Root Shell!");
      }
    }
  }
  
  public static Shell startShell()
    throws IOException, TimeoutException
  {
    if (shell == null)
    {
      RootTools.log("Starting Shell!");
      shell = new Shell("/system/bin/sh");
    }
    for (;;)
    {
      return shell;
      RootTools.log("Using Existing Shell!");
    }
  }
  
  private void writeCommands()
    throws IOException
  {
    int i = 0;
    DataOutputStream localDataOutputStream;
    try
    {
      do
      {
        synchronized (this.commands)
        {
          while ((this.close) || (i < this.commands.size()))
          {
            localDataOutputStream = this.out;
            if (i >= this.commands.size()) {
              break label138;
            }
            ((Command)this.commands.get(i)).writeCommand(localDataOutputStream);
            localDataOutputStream.write(("\necho F*D^W@#FGF " + i + " $?\n").getBytes());
            localDataOutputStream.flush();
            i++;
          }
          this.commands.wait();
        }
      } while (!this.close);
    }
    catch (InterruptedException localInterruptedException)
    {
      RootTools.log(localInterruptedException.getMessage(), 2, localInterruptedException);
      return;
    }
    label138:
    localDataOutputStream.write("\nexit 0\n".getBytes());
    localDataOutputStream.flush();
    localDataOutputStream.close();
    RootTools.log("Closing shell");
  }
  
  public Command add(Command paramCommand)
    throws IOException
  {
    if (this.close) {
      throw new IllegalStateException("Unable to add commands to a closed shell");
    }
    synchronized (this.commands)
    {
      this.commands.add(paramCommand);
      this.commands.notifyAll();
      return paramCommand;
    }
  }
  
  public void close()
    throws IOException
  {
    if (this == rootShell) {
      rootShell = null;
    }
    if (this == shell) {
      shell = null;
    }
    if (this == customShell) {
      customShell = null;
    }
    synchronized (this.commands)
    {
      this.close = true;
      this.commands.notifyAll();
      return;
    }
  }
  
  public int countCommands()
  {
    return this.commands.size();
  }
  
  public void waitFor()
    throws IOException, InterruptedException
  {
    close();
    if (this.commands.size() > 0) {
      ((Command)this.commands.get(-1 + this.commands.size())).exitCode();
    }
  }
  
  protected static class Worker
    extends Thread
  {
    public int exit = -911;
    public DataInputStream in;
    public DataOutputStream out;
    public Process proc;
    
    private Worker(Process paramProcess, DataInputStream paramDataInputStream, DataOutputStream paramDataOutputStream)
    {
      this.proc = paramProcess;
      this.in = paramDataInputStream;
      this.out = paramDataOutputStream;
    }
    
    public void run()
    {
      try
      {
        this.out.write("echo Started\n".getBytes());
        this.out.flush();
        str = this.in.readLine();
        if (str == null) {
          throw new EOFException();
        }
      }
      catch (Exception localException)
      {
        String str;
        while (localException.getMessage() != null)
        {
          Shell.error = localException.getMessage();
          return;
          if (!"".equals(str))
          {
            if ("Started".equals(str))
            {
              this.exit = 1;
              return;
            }
            Shell.error = "unkown error occured.";
          }
        }
        Shell.error = "unkown error occured.";
      }
    }
  }
}



/* Location:           H:\Android\APK Tool\Passo 2 - Java Decompiler\More.jar

 * Qualified Name:     com.stericson.RootTools.Shell

 * JD-Core Version:    0.7.0.1

 */